import { ResourceProps } from "aws-cdk-lib";
import { Construct } from "constructs";
import { CdkGSDashboardResourceProps } from "./index";
export interface CdkDynamodbDashboardProps extends ResourceProps {
    readonly dashboardName: string;
    readonly tableNames: CdkGSDashboardResourceProps[];
    /**
     * If you want to create reasonable CloudWatch Alarms for the resources.
     * @default false
     */
    readonly createAlarms?: boolean;
}
export declare class DynamodbDashboard extends Construct {
    readonly dashboardArn: string;
    constructor(scope: Construct, id: string, props: CdkDynamodbDashboardProps);
}
